## ros-image-common 1.11.10

=== polled_camera/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(polled_camera)

# generate the server
find_package(catkin REQUIRED message_generation roscpp sensor_msgs std_msgs)

add_service_files(DIRECTORY srv FILES GetPolledImage.srv)

generate_messages(DEPENDENCIES sensor_msgs std_msgs)

# define the project
catkin_package(DEPENDS roscpp sensor_msgs
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)


# create some library and exe
find_package(catkin REQUIRED image_transport rosconsole roscpp)
include_directories(SYSTEM ${image_transport_INCLUDE_DIRS})
include_directories(include
                    ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}
)

add_library(${PROJECT_NAME} src/publication_server.cpp)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

add_executable(poller src/poller.cpp)
target_link_libraries(poller ${PROJECT_NAME}
                             ${catkin_LIBRARIES}
)
install(TARGETS poller
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-image-common (1.11.10-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: disable -pie from the hardening buildflags.
    Fix FTBFS in several architectures.  Closes: #818715
    This was caused by a latent bug triggerend by my cleanup in the last upload.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 20 Mar 2016 16:16:08 +0000

ros-image-common (1.11.10-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: remove useless included file
  * Add appropriate Breaks/Replaces after moving files in the previous between
    binaries in the previous uploads.  Closes: #817813

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 18 Mar 2016 20:13:31 +0000

ros-image-common (1.11.10-3) unstable; urgency=medium

  * Added camera-calibration-parsers-tools
  * Moved binaries to camera-calibration-parsers-tools (Closes: #815874)
  * Some lintian warnings
  * Updated Vcs-Browser and Vcs-Git fields
  * Moved usr/lib/polled_camera/poller to polled-camera-tool package
  * Added hardening options
  * Bump Standards-Version to 3.9.7 (no changes)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 01 Mar 2016 10:38:20 +0100

ros-image-common (1.11.10-2) unstable; urgency=medium

  * Move libimage_transport_plugins.so to libimage-transport0d
  * Adopt to new libexec location in catkin (Closes: #815218)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 21 Feb 2016 12:41:07 +0100

ros-image-common (1.11.10-1) unstable; urgency=medium

  * Add python-camera-calibration-parsers
  * Imported Upstream version 1.11.10
  * Update patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 19 Jan 2016 23:06:33 +0100

ros-image-common (1.11.8-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:10:08 +0100

ros-image-common (1.11.8-1) unstable; urgency=medium

  * Initial release (Closes: #805331)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 00:29:10 +0000

=== debian/control ===
Source: ros-image-common
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, librostest-dev, python-all, dh-python
Standards-Version: 3.9.7
Section: libs
Homepage: http://www.ros.org/wiki/image_common
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-image-common.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-image-common.git

Package: libcamera-calibration-parsers-dev
Section: libdevel
Architecture: any
Depends: libcamera-calibration-parsers0d (= ${binary:Version}), ${misc:Depends}, libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev
Description: Robot OS camera_calibration_parsers package - development
 This package is part of Robot OS (ROS). It contains C++ headers for
 reading and writing camera calibration parameters.

Package: libcamera-calibration-parsers0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS camera_calibration_parsers package
 This package is part of Robot OS (ROS). The package provides 
 the library with routines for reading and writing camera 
 calibration parameters.

Package: camera-calibration-parsers-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcamera-calibration-parsers0d (<< 1.11.10-3)
Conflicts: libcamera-calibration-parsers0d (<< 1.11.10-3)
Description: Robot OS camera_calibration_parsers_tools package
 This package is part of Robot OS (ROS). It provides tools for
 reading and writing camera calibration parameters.
  .
 They are executables that use libcamera-calibration-parsers.

Package: python-camera-calibration-parsers
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS camera_calibration_parsers Python package
 This package is part of Robot OS (ROS). It provides routines for
 reading and writing camera calibration parameters.
 .
 This package contains the Python wrapper.

Package: libcamera-info-manager-dev
Section: libdevel
Architecture: any
Depends: libcamera-info-manager0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, libsensor-msgs-dev, libcamera-calibration-parsers-dev, libimage-transport-dev, libroslib-dev
Description: Robot OS camera_info_manager package - development
 This package is part of Robot OS (ROS). It provides C++ header files
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libcamera-info-manager0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS camera_info_manager package
 This package is part of Robot OS (ROS). It provides a C++ interface
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libimage-transport-dev
Section: libdevel
Architecture: any
Depends: libimage-transport0d (= ${binary:Version}), ${misc:Depends}, libmessage-filters-dev, pluginlib-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, libsensor-msgs-dev
Description: Robot OS image_transport package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for the image_transport transport library which should always
 be used to subscribe to and publish images. It provides transparent
 support for transporting images in low-bandwidth compressed
 formats. Examples (provided by separate plugin packages) include
 JPEG/PNG compression and Theora streaming video.

Package: libimage-transport0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: image-transport-tools (<< 1.11.10-2)
Replaces: image-transport-tools (<< 1.11.10-2)
Multi-Arch: same
Description: Robot OS image_transport package
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.

Package: image-transport-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS image_transport package tools
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.
 .
 This package provides the tools list_transports and republish.

Package: libpolled-camera-dev
Section: libdevel
Architecture: any
Depends: libpolled-camera0d (= ${binary:Version}), ${misc:Depends}, ros-message-generation, libroscpp-dev, libsensor-msgs-dev, libimage-transport-dev, librosconsole-dev
Description: Robot OS polled_camera package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for implementing a polled camera driver node and requesting
 images from it. The package is currently for internal use as the API
 is still under development.

Package: libpolled-camera0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS polled_camera package
 This package is part of Robot OS (ROS). It contains a service and C++
 helper classes for implementing a polled camera driver node and
 requesting images from it. The package is currently for internal use
 as the API is still under development.

Package: polled-camera-tool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Robot OS polled_camera package tool
 This package is part of Robot OS (ROS). It contains an executable
 implementing a polled camera driver node and to request images from it. 
 The package is currently for internal use as the API is still under 
 development.

Package: python-polled-camera
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Robot OS polled_camera package - Python
 This package is part of Robot OS (ROS). It contains a Python package
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.

Package: cl-polled-camera
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS polled_camera package - LISP
 This package is part of Robot OS (ROS). It contains a LISP interface
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

%:
	dh $@ --parallel --with=python2 --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/image_common-$1\.tar\.gz/ \
  https://github.com/ros-perception/image_common/releases .*/v?(\d\S*)\.tar\.gz

## ros-image-common 1.11.11

=== camera_calibration_parsers/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(camera_calibration_parsers)

find_package(catkin REQUIRED sensor_msgs rosconsole roscpp roscpp_serialization)

find_package(Boost REQUIRED COMPONENTS filesystem python)
find_package(PythonLibs 2.7 REQUIRED)
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS sensor_msgs
)

find_package(PkgConfig)


if (ANDROID)
    find_package(yaml-cpp)
    add_definitions(-DHAVE_NEW_YAMLCPP)
else()
  pkg_check_modules(YAML_CPP yaml-cpp)
  if(${YAML_CPP_VERSION} VERSION_GREATER 0.5)
    add_definitions(-DHAVE_NEW_YAMLCPP)
  endif()
  link_directories(${YAML_CPP_LIBRARY_DIRS})
endif()
include_directories(${YAML_CPP_INCLUDE_DIRS})

# define the library
add_library(${PROJECT_NAME}
  src/parse.cpp
  src/parse_ini.cpp
  src/parse_yml.cpp
)

add_library(${PROJECT_NAME}_wrapper
  src/parse_wrapper.cpp)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${YAML_CPP_LIBRARIES} ${Boost_FILESYSTEM_LIBRARY})
target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_PYTHON_LIBRARY} ${PYTHON_LIBRARIES})

# Don't prepend wrapper library name with lib and add to Python libs.
set_target_properties(${PROJECT_NAME}_wrapper PROPERTIES
        PREFIX ""
        LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
        )

add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(
  TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  COMPONENT main
)
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# define the exe to convert
add_executable(convert src/convert.cpp)
target_link_libraries(convert ${PROJECT_NAME} ${rosconsole_LIBRARIES})

install(
  TARGETS convert
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}_wrapper
  DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== camera_info_manager/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(camera_info_manager)

find_package(catkin REQUIRED)

find_package(Boost)
find_package(catkin REQUIRED roscpp sensor_msgs)
catkin_package(INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
               DEPENDS Boost roscpp sensor_msgs
)

find_package(catkin COMPONENTS camera_calibration_parsers image_transport roscpp roslib)

include_directories(${catkin_INCLUDE_DIRS})
include_directories(include)

# add a library
add_library(${PROJECT_NAME} src/camera_info_manager.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        COMPONENT main
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  # Unit test uses gtest, but needs rostest to create a ROS environment.
  # Hence, it must be created as a normal executable, not using
  # catkin_add_gtest() which runs an additional test without rostest.
  add_executable(unit_test tests/unit_test.cpp)
  target_link_libraries(unit_test ${PROJECT_NAME} ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

  add_rostest(tests/unit_test.test)
endif()

=== image_transport/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(image_transport)

find_package(catkin REQUIRED
  COMPONENTS
    message_filters
    pluginlib
    rosconsole
    roscpp
    roslib
    sensor_msgs
)

find_package(Boost REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  DEPENDS message_filters pluginlib rosconsole roscpp roslib sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

# Build libimage_transport
add_library(${PROJECT_NAME}
  src/camera_common.cpp
  src/camera_publisher.cpp
  src/camera_subscriber.cpp
  src/image_transport.cpp
  src/publisher.cpp
  src/single_subscriber_publisher.cpp
  src/subscriber.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

# Build libimage_transport_plugins                                      
add_library(${PROJECT_NAME}_plugins src/manifest.cpp src/raw_publisher.cpp)
target_link_libraries(${PROJECT_NAME}_plugins ${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugins
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        COMPONENT main
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add two execs
add_executable(republish src/republish.cpp)
target_link_libraries(republish ${PROJECT_NAME})

add_executable(list_transports src/list_transports.cpp)
target_link_libraries(list_transports
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS list_transports republish
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# add xml file
install(FILES default_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== polled_camera/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 # create some library and exe
 find_package(catkin REQUIRED image_transport rosconsole roscpp)
-include_directories(SYSTEM ${image_transport_INCLUDE_DIRS})
+include_directories(${image_transport_INCLUDE_DIRS})
 include_directories(include
                     ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}
 )

=== image_transport/tutorial/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(image_transport_tutorial)

find_package(catkin REQUIRED cv_bridge genmsg image_transport sensor_msgs)

# add the resized image message
add_message_files(DIRECTORY msg
   FILES ResizedImage.msg
)
generate_messages(DEPENDENCIES sensor_msgs)

catkin_package()

find_package(OpenCV)

include_directories(include ${OpenCV_INCLUDE_DIRS})

# add the publisher example
add_executable(my_publisher src/my_publisher.cpp)
target_link_libraries(my_publisher ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

# add the subscriber example
add_executable(my_subscriber src/my_subscriber.cpp)
target_link_libraries(my_subscriber ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

# add the plugin examples
add_library(resized_publisher src/manifest.cpp src/resized_publisher.cpp src/resized_subscriber.cpp)
target_link_libraries(resized_publisher ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

=== debian/changelog ===
ros-image-common (1.11.11-3) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update policy and debhelper versions
  * Remove -pie from hardening.
    Thanks to Adrian Bunk (Closes: #865739)
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Update policy and debhelper versions
  * Add missing dependency (Closes: #896398)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:47:36 +0200

ros-image-common (1.11.11-2) unstable; urgency=medium

  * Move package.xml to lib for plugin export line

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Dec 2016 10:41:38 +0100

ros-image-common (1.11.11-1) unstable; urgency=medium

  * New upstream version 1.11.11

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Sep 2016 09:43:49 +0200

ros-image-common (1.11.10-6) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Add missing build dependencies (Closes: #835689)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 22:51:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, librostest-dev, python-all, dh-python
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python
+Standards-Version: 4.1.4
 Section: libs
-Homepage: http://www.ros.org/wiki/image_common
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-image-common.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-image-common.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/image_common
+Vcs-Browser: https://salsa.debian.org/science-team/ros-image-common
+Vcs-Git: https://salsa.debian.org/science-team/ros-image-common.git
 
 Package: libcamera-calibration-parsers-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcamera-calibration-parsers0d (= ${binary:Version}), ${misc:Depends}, libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev
 Description: Robot OS camera_calibration_parsers package - development
  This package is part of Robot OS (ROS). It contains C++ headers for
@@ -31,8 +33,6 @@
 Package: camera-calibration-parsers-tools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libcamera-calibration-parsers0d (<< 1.11.10-3)
-Conflicts: libcamera-calibration-parsers0d (<< 1.11.10-3)
 Description: Robot OS camera_calibration_parsers_tools package
  This package is part of Robot OS (ROS). It provides tools for
  reading and writing camera calibration parameters.
@@ -42,7 +42,7 @@
 Package: python-camera-calibration-parsers
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs
 Description: Robot OS camera_calibration_parsers Python package
  This package is part of Robot OS (ROS). It provides routines for
  reading and writing camera calibration parameters.
@@ -52,6 +52,7 @@
 Package: libcamera-info-manager-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcamera-info-manager0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, libsensor-msgs-dev, libcamera-calibration-parsers-dev, libimage-transport-dev, libroslib-dev
 Description: Robot OS camera_info_manager package - development
  This package is part of Robot OS (ROS). It provides C++ header files
@@ -70,6 +71,7 @@
 Package: libimage-transport-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libimage-transport0d (= ${binary:Version}), ${misc:Depends}, libmessage-filters-dev, pluginlib-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, libsensor-msgs-dev
 Description: Robot OS image_transport package - development
  This package is part of Robot OS (ROS). It contains the C++ header
@@ -82,8 +84,6 @@
 Package: libimage-transport0d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: image-transport-tools (<< 1.11.10-2)
-Replaces: image-transport-tools (<< 1.11.10-2)
 Multi-Arch: same
 Description: Robot OS image_transport package
  This package is part of Robot OS (ROS). This library should always be
@@ -107,6 +107,7 @@
 Package: libpolled-camera-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libpolled-camera0d (= ${binary:Version}), ${misc:Depends}, ros-message-generation, libroscpp-dev, libsensor-msgs-dev, libimage-transport-dev, librosconsole-dev
 Description: Robot OS polled_camera package - development
  This package is part of Robot OS (ROS). It contains the C++ header
@@ -146,6 +147,7 @@
 Package: cl-polled-camera
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS polled_camera package - LISP
  This package is part of Robot OS (ROS). It contains a LISP interface

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python2 --buildsystem=cmake

=== debian/watch ===
--- 
+++ 
@@ -1,3 +1,7 @@
+version=4
+opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-image-common-$1.tar.gz%" \
+    https://github.com/ros-perception/image_common/tags \
+    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
 # Watch control file for uscan
 # Compulsory line, this is a version 3 file
 version=3

## ros-image-common 1.11.13

=== camera_calibration_parsers/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,12 @@
 
 find_package(catkin REQUIRED sensor_msgs rosconsole roscpp roscpp_serialization)
 
-find_package(Boost REQUIRED COMPONENTS filesystem python)
-find_package(PythonLibs 2.7 REQUIRED)
+find_package(PythonLibs REQUIRED)
+if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
+  find_package(Boost REQUIRED COMPONENTS filesystem python)
+else()
+  find_package(Boost REQUIRED COMPONENTS filesystem python3)
+endif()
 include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
 
 catkin_python_setup()
@@ -41,7 +45,7 @@
   src/parse_wrapper.cpp)
 
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${YAML_CPP_LIBRARIES} ${Boost_FILESYSTEM_LIBRARY})
-target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_PYTHON_LIBRARY} ${PYTHON_LIBRARIES})
+target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
 
 # Don't prepend wrapper library name with lib and add to Python libs.
 set_target_properties(${PROJECT_NAME}_wrapper PROPERTIES

=== camera_info_manager/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,14 @@
 cmake_minimum_required(VERSION 2.8)
 project(camera_info_manager)
 
-find_package(catkin REQUIRED)
+find_package(catkin REQUIRED COMPONENTS camera_calibration_parsers image_transport roscpp roslib sensor_msgs)
 
 find_package(Boost)
-find_package(catkin REQUIRED roscpp sensor_msgs)
 catkin_package(INCLUDE_DIRS include
                LIBRARIES ${PROJECT_NAME}
+               CATKIN_DEPENDS camera_calibration_parsers
                DEPENDS Boost roscpp sensor_msgs
 )
-
-find_package(catkin COMPONENTS camera_calibration_parsers image_transport roscpp roslib)
 
 include_directories(${catkin_INCLUDE_DIRS})
 include_directories(include)
@@ -35,5 +33,5 @@
   add_executable(unit_test tests/unit_test.cpp)
   target_link_libraries(unit_test ${PROJECT_NAME} ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
 
-  add_rostest(tests/unit_test.test)
+  add_rostest(tests/unit_test.test DEPENDENCIES unit_test)
 endif()

=== image_common/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(image_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== polled_camera/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(polled_camera)

# generate the server
find_package(catkin REQUIRED COMPONENTS image_transport message_generation roscpp sensor_msgs std_msgs)

add_service_files(DIRECTORY srv FILES GetPolledImage.srv)

generate_messages(DEPENDENCIES sensor_msgs std_msgs)

# define the project
catkin_package(CATKIN_DEPENDS image_transport message_runtime roscpp sensor_msgs std_msgs
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)


# create some library and exe
include_directories(include
                    ${catkin_INCLUDE_DIRS} 
                    ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}
)

add_library(${PROJECT_NAME} src/publication_server.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

add_executable(poller src/poller.cpp)
add_dependencies(poller ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(poller ${PROJECT_NAME}
                             ${catkin_LIBRARIES}
)

install(TARGETS poller
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== image_transport/tutorial/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(image_transport_tutorial)

find_package(catkin REQUIRED COMPONENTS cv_bridge image_transport message_generation sensor_msgs)

# add the resized image message
add_message_files(DIRECTORY msg
   FILES ResizedImage.msg
)
generate_messages(DEPENDENCIES sensor_msgs)

catkin_package(CATKIN_DEPENDS cv_bridge image_transport message_runtime sensor_msgs)

find_package(OpenCV)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# add the publisher example
add_executable(my_publisher src/my_publisher.cpp)
add_dependencies(my_publisher ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(my_publisher ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

# add the subscriber example
add_executable(my_subscriber src/my_subscriber.cpp)
add_dependencies(my_subscriber ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(my_subscriber ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

# add the plugin example
add_library(resized_publisher src/manifest.cpp src/resized_publisher.cpp src/resized_subscriber.cpp)
add_dependencies(resized_publisher ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(resized_publisher ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})


# Mark executables and/or libraries for installation
install(TARGETS my_publisher my_subscriber resized_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES resized_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-image-common (1.11.13-3) unstable; urgency=medium

  * Depend on libyaml-cpp-dev instead of libyaml0.3-cpp-dev which is now
    obsolete (Closes: #918161).

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 03 Jan 2019 16:43:41 -0600

ros-image-common (1.11.13-2) unstable; urgency=medium

  * Add Python 3 package
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 16:23:10 +0100

ros-image-common (1.11.13-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version 1.11.13
  * Rebase patch
  * Fix description-contains-invalid-control-statement
  * Bump policy version (no changes)
  * cleanup rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Oct 2018 22:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python, python3-all,
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/image_common
@@ -26,8 +26,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Robot OS camera_calibration_parsers package
- This package is part of Robot OS (ROS). The package provides 
- the library with routines for reading and writing camera 
+ This package is part of Robot OS (ROS). The package provides
+ the library with routines for reading and writing camera
  calibration parameters.
 
 Package: camera-calibration-parsers-tools
@@ -36,18 +36,28 @@
 Description: Robot OS camera_calibration_parsers_tools package
  This package is part of Robot OS (ROS). It provides tools for
  reading and writing camera calibration parameters.
-  .
+ .
  They are executables that use libcamera-calibration-parsers.
 
 Package: python-camera-calibration-parsers
 Section: python
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs
-Description: Robot OS camera_calibration_parsers Python package
+Description: Robot OS camera_calibration_parsers Python 2 package
  This package is part of Robot OS (ROS). It provides routines for
  reading and writing camera calibration parameters.
  .
- This package contains the Python wrapper.
+ This package contains the Python 2 wrapper.
+
+Package: python3-camera-calibration-parsers
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-sensor-msgs
+Description: Robot OS camera_calibration_parsers Python 3 package
+ This package is part of Robot OS (ROS). It provides routines for
+ reading and writing camera calibration parameters.
+ .
+ This package contains the Python 3 wrapper.
 
 Package: libcamera-info-manager-dev
 Section: libdevel
@@ -127,22 +137,36 @@
 
 Package: polled-camera-tool
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: Robot OS polled_camera package tool
  This package is part of Robot OS (ROS). It contains an executable
- implementing a polled camera driver node and to request images from it. 
- The package is currently for internal use as the API is still under 
+ implementing a polled camera driver node and to request images from it.
+ The package is currently for internal use as the API is still under
  development.
 
 Package: python-polled-camera
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
-Description: Robot OS polled_camera package - Python
+Description: Robot OS polled_camera package - Python 2
  This package is part of Robot OS (ROS). It contains a Python package
  for implementing a polled camera driver node and requesting images
  from it. The package is currently for internal use as the API is
  still under development.
+ .
+ This package contains the Python 2 modules.
+
+Package: python3-polled-camera
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
+Description: Robot OS polled_camera package - Python 3
+ This package is part of Robot OS (ROS). It contains a Python package
+ for implementing a polled camera driver node and requesting images
+ from it. The package is currently for internal use as the API is
+ still under development.
+ .
+ This package contains the Python 3 modules.
 
 Package: cl-polled-camera
 Section: lisp

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,python3 --buildsystem=cmake

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-image-common-$1.tar.gz%" \
    https://github.com/ros-perception/image_common/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-image-common 1.12.0

=== camera_calibration_parsers/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,10 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(camera_calibration_parsers)
 
 find_package(catkin REQUIRED sensor_msgs rosconsole roscpp roscpp_serialization)
 
 find_package(PythonLibs REQUIRED)
-if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
-  find_package(Boost REQUIRED COMPONENTS filesystem python)
-else()
-  find_package(Boost REQUIRED COMPONENTS filesystem python3)
-endif()
+find_package(Boost REQUIRED COMPONENTS filesystem python)
 include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
 
 catkin_python_setup()

=== camera_info_manager/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(camera_info_manager)
 
 find_package(catkin REQUIRED COMPONENTS camera_calibration_parsers image_transport roscpp roslib sensor_msgs)
@@ -18,7 +18,9 @@
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
 
 install(TARGETS ${PROJECT_NAME}
-        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
         COMPONENT main
 )
 install(DIRECTORY include/${PROJECT_NAME}/

=== image_transport/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(image_transport)
 
 find_package(catkin REQUIRED
@@ -37,12 +37,15 @@
   ${catkin_LIBRARIES}
 )
 
-# Build libimage_transport_plugins                                      
+# Build libimage_transport_plugins
 add_library(${PROJECT_NAME}_plugins src/manifest.cpp src/raw_publisher.cpp)
 target_link_libraries(${PROJECT_NAME}_plugins ${PROJECT_NAME})
 
+# Install plugin DLL to ${CATKIN_PACKAGE_LIB_DESTINATION} according to the path in default_plugins.xml
 install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugins
-        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        RUNTIME DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
         COMPONENT main
 )
 install(DIRECTORY include/${PROJECT_NAME}/

=== debian/changelog ===
ros-image-common (1.12.0-9build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:52:46 +0000

ros-image-common (1.12.0-9build3) jammy; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Dec 2021 09:50:39 +0100

ros-image-common (1.12.0-9build2) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 19:18:42 +0000

ros-image-common (1.12.0-9build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:30:59 +0000

ros-image-common (1.12.0-9) unstable; urgency=medium

  * Fix test logic

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 00:20:41 +0200

ros-image-common (1.12.0-8) unstable; urgency=medium

  * Ignore failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 23:49:19 +0200

ros-image-common (1.12.0-7) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 22:41:11 +0200

ros-image-common (1.12.0-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:32 +0200

ros-image-common (1.12.0-5) experimental; urgency=medium

  * Team upload.
  * Do not install ROS package manifest twice (Closes: #994878)

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 15:38:35 +0200

ros-image-common (1.12.0-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 18:54:20 +0200

ros-image-common (1.12.0-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:02:26 +0100

ros-image-common (1.12.0-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 14:11:38 +0100

ros-image-common (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 12:24:18 +0200

ros-image-common (1.11.13-8) unstable; urgency=medium

  * Fix boost python version string (Closes: #962287)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Jun 2020 18:48:45 +0200

ros-image-common (1.11.13-7) unstable; urgency=medium

  * Add missing build dependency
  * Support multiple Python version
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Apr 2020 16:32:36 +0200

ros-image-common (1.11.13-6) unstable; urgency=medium

  * Add patch for cmake python module
  * Drop ROS_PYTHON_VERSION from d/rules (not needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Dec 2019 11:07:13 +0100

ros-image-common (1.11.13-5) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938381)
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 06:55:48 +0200

ros-image-common (1.11.13-4) unstable; urgency=medium

  * Limit d/watch to ROS1
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Aug 2019 12:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ros-image-common
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python, python3-all,
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python3-all, dh-sequence-python3, libpython3-all-dev, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-sensor-msgs <!nocheck>, rosbash <!nocheck>, rospack-tools <!nocheck>
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/image_common
@@ -38,16 +38,6 @@
  reading and writing camera calibration parameters.
  .
  They are executables that use libcamera-calibration-parsers.
-
-Package: python-camera-calibration-parsers
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs
-Description: Robot OS camera_calibration_parsers Python 2 package
- This package is part of Robot OS (ROS). It provides routines for
- reading and writing camera calibration parameters.
- .
- This package contains the Python 2 wrapper.
 
 Package: python3-camera-calibration-parsers
 Section: python
@@ -144,18 +134,6 @@
  The package is currently for internal use as the API is still under
  development.
 
-Package: python-polled-camera
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
-Description: Robot OS polled_camera package - Python 2
- This package is part of Robot OS (ROS). It contains a Python package
- for implementing a polled camera driver node and requesting images
- from it. The package is currently for internal use as the API is
- still under development.
- .
- This package contains the Python 2 modules.
-
 Package: python3-polled-camera
 Section: python
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-image-common-$1.tar.gz%" \
    https://github.com/ros-perception/image_common/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz
